package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2021/4/21 0021
 */
public class LocalDateBigDecimalMapDto {

    private Date date;

    private String dateStr;

    private BigDecimal subsidy = new BigDecimal("0");

    private BigDecimal amount;

    public LocalDateBigDecimalMapDto(Date date, String dateStr, BigDecimal amount) {
        this.date = date;
        this.dateStr = dateStr;
        this.amount = amount;
    }

    public LocalDateBigDecimalMapDto(Date date, String dateStr, BigDecimal subsidy, BigDecimal amount) {
        this.date = date;
        this.dateStr = dateStr;
        this.subsidy = subsidy;
        this.amount = amount;
    }

    public LocalDateBigDecimalMapDto() {
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }

    public BigDecimal getSubsidy() {
        return subsidy;
    }

    public void setSubsidy(BigDecimal subsidy) {
        this.subsidy = subsidy;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
}
